[med-svn] [Git][med-team/python-mne][master] 2 commits: add 0016-Reproducible-documentation.patch
Karsten Schöke (@karso)
gitlab at salsa.debian.org
Thu Oct 1 06:38:13 BST 2026
Karsten Schöke pushed to branch master at Debian Med / python-mne
Commits:
8f6448df by Karsten Schöke at 2026-09-30T14:43:49+02:00
add 0016-Reproducible-documentation.patch
- - - - -
bf935b60 by Karsten Schöke at 2026-09-30T15:24:22+02:00
enable real autopkgtests
- - - - -
6 changed files:
- debian/changelog
- debian/control
- + debian/patches/0016-Reproducible-documentation.patch
- debian/patches/series
- + debian/tests/control
- + debian/tests/python-tests
Changes:
=====================================
debian/changelog
=====================================
@@ -1,3 +1,10 @@
+python-mne (1.13.2-3) UNRELEASED; urgency=medium
+
+ * add 0016-Reproducible-documentation.patch (Closes: #1148979)
+ * enable real autopkgtests
+
+ -- Karsten Schöke <karsten.schoeke at geobasis-bb.de> Wed, 30 Sep 2026 15:23:11 +0200
+
python-mne (1.13.2-2) unstable; urgency=medium
* Team upload.
=====================================
debian/control
=====================================
@@ -6,7 +6,6 @@ Uploaders:
Michael Hanke <michael.hanke at gmail.com>,
Étienne Mollier <emollier at debian.org>,
Section: python
-Testsuite: autopkgtest-pkg-python
Build-Depends:
debhelper-compat (= 14),
dh-sequence-python3,
@@ -24,6 +23,7 @@ Build-Depends:
python-dipy-doc <!nodoc>,
python3-doc <!nodoc>,
python3-filelock <!nocheck>,
+ python3-graphviz <!nodoc>,
python3-h5py <!nocheck>,
python3-hatchling,
python3-hatch-vcs,
=====================================
debian/patches/0016-Reproducible-documentation.patch
=====================================
@@ -0,0 +1,35 @@
+From: =?utf-8?q?Karsten_Sch=C3=B6ke?= <karsten.schoeke at geobasis-bb.de>
+Date: Wed, 30 Sep 2026 12:48:26 +0200
+Subject: Make the build reproducible
+
+Author: Chris Lamb <lamby at debian.org>
+
+Forwarded: not-needed
+---
+ doc/conf.py | 6 +++++-
+ 1 file changed, 5 insertions(+), 1 deletion(-)
+
+diff --git a/doc/conf.py b/doc/conf.py
+index 6ab07d1..6d3e4f8 100644
+--- a/doc/conf.py
++++ b/doc/conf.py
+@@ -14,6 +14,7 @@ import os
+ import subprocess
+ import sys
+ import tomllib
++import time
+ from datetime import UTC, datetime
+ from importlib.metadata import metadata
+ from pathlib import Path
+@@ -63,7 +64,10 @@ from mne_doc_utils import ( # noqa: E402
+ # -- Project information -----------------------------------------------------
+
+ project = "MNE"
+-td = datetime.now(tz=UTC)
++td = datetime.fromtimestamp(
++ int(os.environ.get('SOURCE_DATE_EPOCH', time.time())),
++ tz=UTC,
++)
+
+ # We need to triage which date type we use so that incremental builds work
+ # (Sphinx looks at variable changes and rewrites all files if some change)
=====================================
debian/patches/series
=====================================
@@ -13,3 +13,4 @@
0013-Use-local-MathJax-installation-for-doc.patch
0014-Disable-nitpicky-Sphinx-mode-for-the-Debian-document.patch
0015-Resolve-the-NumPy-glossary-term.patch
+0016-Reproducible-documentation.patch
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: python-tests
+Depends: @, @builddeps@
+Restrictions: allow-stderr, rw-build-tree
=====================================
debian/tests/python-tests
=====================================
@@ -0,0 +1,23 @@
+#!/bin/sh
+set -e
+
+cd "${AUTOPKGTEST_BUILDTREE:-$PWD}"
+mkdir -p build
+
+export HOME=$PWD/build
+export MNE_DONTWRITE_HOME=true
+export MNE_SKIP_SAMPLE_DATASET_TESTS=true
+export MNE_FORCE_SERIAL=true
+export MNE_SKIP_NETWORK_TESTS=1
+# to avoid cannot set toolkit to qt4 because it has already been set to wx
+export ETS_TOOLKIT=qt4
+
+PYVER=$(python3 -c 'import sys; v=sys.version_info; print(f"{v.major}.{v.minor}")')
+export PYTHONPATH="$PWD:$PWD/.pybuild/cpython3_${PYVER}_mne/build"
+
+xvfb-run \
+ --auto-servernum \
+ --server-num=20 \
+ -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" \
+ pytest mne -k "not test_parallel_func_n_jobs_none and not test_qt_block_sigint"
+
View it on GitLab: https://salsa.debian.org/med-team/python-mne/-/compare/f3377cc6c5b1094aea9d8e936e4a0e11367d6453...bf935b60f988e151b705b6dc66760df0a6e0054e
--
View it on GitLab: https://salsa.debian.org/med-team/python-mne/-/compare/f3377cc6c5b1094aea9d8e936e4a0e11367d6453...bf935b60f988e151b705b6dc66760df0a6e0054e
You're receiving this email because of your account on salsa.debian.org. Manage all notifications: https://salsa.debian.org/-/profile/notifications | Help: https://salsa.debian.org/help
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20261001/28dd6a57/attachment-0001.htm>
More information about the debian-med-commit
mailing list